Method: projects.locations.contentPolicies.list

Lists ContentPolicies in a parent.

HTTP request


GET https://dlp.googleapis.com/v2/{parent=projects/*/locations/*}/contentPolicies

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Resource name of the organization or project, for example, organizations/433245324/locations/europe or projects/project-id/locations/asia.

Authorization requires the following IAM permission on the specified resource parent:

  • dlp.contentPolicies.list

Query parameters

Parameters
pageSize

integer

Optional. Number of results per page, max 1000.

pageToken

string

Optional. Page token from a previous page to return the next set of results. If set, all other request fields must match the original request.

Request body

The request body must be empty.

Response body

Response message for contentPolicies.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "contentPolicies": [
    {
      object (ContentPolicy)
    }
  ],
  "nextPageToken": string
}
Fields
contentPolicies[]

object (ContentPolicy)

List of content policies.

nextPageToken

string

Token to retrieve the next page of results. An empty value means there are no more results.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.